require "Insurgent/Traits/LoadoutAssaultTrait"

LoadoutAssaultTrait.description  = getText("UI_trait_LoadoutAssaultDesc_VFE_VERSION")

function LoadoutAssaultTrait.OnNewGame(player)
    if not player:HasTrait("LoadoutAssault") then
        return
    end

    player:getInventory():AddItem("Base.Sledgehammer");

    local weapon = InsurgentWeaponUtil.addWeapon(player, "Base.Spas12", {"Base.ChokeTubeFull", "Base.RedDot", "Base.Laser", "Base.ShellHolder"})
    InsurgentWeaponUtil.addMags(player, "Base.ShotgunShellsBox", 8) -- Should still work despite being boxes of shells, not mags
    InsurgentWeaponUtil.equipWeapon(player, weapon) -- Not sure how to load a shotgun yet
end
